|  | Home · All Classes · Modules

# QXmlStreamNotationDeclaration Class Reference
[QtCore module]

The QXmlStreamNotationDeclaration class represents a DTD notation declaration. More...

### Methods

- __init__ (self)
- __init__ (self, QXmlStreamNotationDeclaration)
- QStringRef name (self)
- QStringRef publicId (self)
- QStringRef systemId (self)

### Special Methods

- bool __eq__ (self, QXmlStreamNotationDeclaration other)
- bool __ne__ (self, QXmlStreamNotationDeclaration other)

## Detailed Description

The QXmlStreamNotationDeclaration class represents a DTD notation declaration.

An notation declaration consists of a name(), a systemId(), and a publicId().

## Method Documentation

### QXmlStreamNotationDeclaration.__init__ (self)

Creates an empty notation declaration.

### QXmlStreamNotationDeclaration.__init__ (self, QXmlStreamNotationDeclaration)

Creates a copy of other.

### QStringRef QXmlStreamNotationDeclaration.name (self)

Returns the notation name.

### QStringRef QXmlStreamNotationDeclaration.publicId (self)

Returns the public identifier.

### QStringRef QXmlStreamNotationDeclaration.systemId (self)

Returns the system identifier.

### bool QXmlStreamNotationDeclaration.__eq__ (self, QXmlStreamNotationDeclaration other)

### bool QXmlStreamNotationDeclaration.__ne__ (self, QXmlStreamNotationDeclaration other)